Delete a check

delete

/api/v1/checks/{checkRef}

{basePath}/checks/929aacee2c6d42c78ae877e824c28eed00000431

API cancels the requested check from the specified revenue center if present and in a state where cancelation is allowed.

Request uses the checkRef that can be found in the check header once a check has been created at the POS.

Request

Supported Media Types
Path Parameters
Header Parameters
Back to Top

Response

Supported Media Types

204 Response

The check has been successfully voided.

400 Response

400 Bad Request
Body ()
Root Schema : ChecksApiProblemDetailsDeleteChecks
Type: object
Problem details is used as standard model for reporting details when HTTP error status code is returned. This definition is defined by [RFC7807](https://tools.ietf.org/html/rfc7807). **Extensions** * posDetails
Show Source
  • A human-readable explanation specific to this occurrence of the problem.
    Example: The POS system is unable to process the request.
  • A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
    Example: error:pos-error
  • posDetails
    (Problem Details Extension) Contains a list of the problem details from the POS System processing the request.
  • A HTTP response status code.
    Example: 400
  • A short, human-readable summary of the problem type.
    Example: POS Error
Example:
{
    "title":"POS Error",
    "status":400,
    "detail":"The POS system is unable to process the request.",
    "instance":"error:pos-error",
    "posDetails":[
        {
            "code":"general_pos_error",
            "message":"Check opened on system"
        }
    ]
}
Nested Schema : posDetails
Type: array
(Problem Details Extension) Contains a list of the problem details from the POS System processing the request.
Show Source
Nested Schema : items
Type: object
Show Source
  • Short, unique identifier for the type of error
    Example: general_pos_error
  • A human-readable explanation specific to this occurrence of the problem.
    Example: Check opened on system

401 Response

401 Unauthorized
Headers
  • Bearer authentication challenge. When token validation fails, the header may include error and error_description parameters.

    The following conditions and HTTP response examples are illustrative and not exhaustive. Error descriptions may vary.

    No token provided: No access token is provided, or the Authorization request header is missing. The response header is WWW-Authenticate: Bearer, without error or error_description parameters.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer

    Expired token: The access token has expired. The timestamp in this example is illustrative.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The token expired at '05/19/2026 17:16:29'"

    Signing key not found: The token cannot be validated because its signing key was not found. For example, the token's key ID (kid) does not match a key in the JSON Web Key Set (JWKS) used for validation.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The signature key was not found"

    Invalid signature: The token signature is invalid. For example, the token may have been modified.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The signature is invalid"

    For the missing-token, signing-key-not-found, and invalid-signature examples above, the response body is empty. The authentication error details are provided in the WWW-Authenticate response header.

    The response may include an additional WWW-Authenticate header containing a bare Bearer challenge alongside the challenge shown in these examples.

403 Response

403 Forbidden

404 Response

404 Requested resource not found

521 Response

521 Service Timeout
Back to Top